CGAL 6.0.2 - 3D Point Set

Loading...
Searching...
No Matches
Functions
Draw a 3D Point Set
3D Point Set Reference

##

`#include<CGAL/draw_point_set_3.h>`

## Functions
template<class PS , class GSOptions >
void | CGAL::draw (const PS &ps, const GSOptions &gso)
| opens a new window and draws a point set.
template<class PS >
void | CGAL::draw (const PS &ps)
| A shortcut to `CGAL::draw(ps, Graphics_scene_options{})`.
template<class PS , class GSOptions >
void | CGAL::add_to_graphics_scene (const PS &ps, CGAL::Graphics_scene &gs, const GSOptions &gso)
| adds the vertices, edges and faces of `ps` into the given graphic scene `gs`.
template<class PS >
void | CGAL::add_to_graphics_scene (const PS &ps, CGAL::Graphics_scene &gs)
| A shortcut to `CGAL::add_to_graphics_scene(ps, gs, Graphics_scene_options{})`.

## Function Documentation

## ◆ add_to_graphics_scene()

template<class PS , class GSOptions >

void CGAL::add_to_graphics_scene | ( | const PS & | ps,
|  | CGAL::Graphics_scene & | gs,
|  | const GSOptions & | gso
| ) |  |

`#include <CGAL/draw_point_set_3.h>`

adds the vertices, edges and faces of `ps` into the given graphic scene `gs`.

Parameters of the cells are taken from the optional graphics scene options parameter `gso`. Note that `gs` is not cleared before being filled (to enable to draw several data structures in the same basic viewer).

Template Parameters

  PS | which must be an instantiation of a `CGAL::Point_set_3<...>`.
  GSOptions | a model of `GraphicsSceneOptions` concept.

Parameters

  ps | the point set to draw.
  gs | the graphic scene to fill.
  gso | the graphics scene options parameter.

Advanced

The real declaration of this function template is:

`template<class P, class V, class GSOptions>`

`void CGAL::add_to_graphics_scene(const CGAL::Point_set_3<P, V>& ps, CGAL::Graphics_scene& gs, const GSOptions& gso);`

## ◆ draw()

template<class PS , class GSOptions >

void CGAL::draw | ( | const PS & | ps,
|  | const GSOptions & | gso
| ) |  |

`#include <CGAL/draw_point_set_3.h>`

opens a new window and draws a point set.

Parameters of the drawing are taken from the optional graphics scene options parameter.

A call to this function blocks the execution of the program until the drawing window is closed. This function requires `CGAL_Qt6`, and is only available if the macro `CGAL_USE_BASIC_VIEWER` is defined. Linking with the cmake target `CGAL::CGAL_Basic_viewer` will link with `CGAL_Qt6` and add the definition `CGAL_USE_BASIC_VIEWER`.

Template Parameters

  PS | which must be an instantiation of a `CGAL::Point_set_3<...>`.
  GSOptions | a model of `GraphicsSceneOptions` concept.

Parameters

  ps | the point set to draw.
  gso | the graphics scene options parameter.

Advanced

The real declaration of this function template is:

`template<class P, class V, class GSOptions>`

`void CGAL::draw(const CGAL::Point_set_3<P, V>& ps, const GSOptions& gso);`

Examples
  Point_set_3/draw_point_set_3.cpp.